//AGRADECIMENTO AO GUSTAVO

void DrawGrao(PGraphics pg, int tipo, float tamanho) {
  pg.beginDraw();
  if(tamanho == 1)
    pg.stroke(80, 80, 80);
  else
    pg.stroke(57, 49, 49);
  if(tipo == 0){
    pg.pushMatrix();
    pg.scale(sqrt(tamanho));
    pg.beginShape();
    pg.vertex(1.0, 44.0);
    pg.bezierVertex(1.0, 44.0, 27.0, 51.0, 30.0, 42.0);
    pg.bezierVertex(33.0, 33.0, 49.0, 34.0, 46.0, 23.0);
    pg.bezierVertex(43.0, 12.0, 47.0, 1.0, 47.0, 1.0);
    pg.bezierVertex(47.0, 1.0, 0.0, 0.0, 0.0, 0.0);
    pg.bezierVertex(0.0, 0.0, 0.0, 43.0, 0.0, 43.0);
    pg.endShape();
    pg.popMatrix();
  }

  if(tipo == 1){
    pg.pushMatrix();
    pg.translate(100 - 100*tamanho, 0);
    pg.scale(sqrt(tamanho));
    pg.beginShape();
    pg.vertex(40.0, 32.0);
    pg.bezierVertex(40.0, 32.0, 50.0, 44.0, 59.0, 48.0);
    pg.bezierVertex(68.0, 52.0, 57.0, 44.0, 69.0, 52.0);
    pg.bezierVertex(81.0, 60.0, 82.0, 61.0, 84.0, 60.0);
    pg.bezierVertex(86.0, 59.0, 100.0, 59.0, 100.0, 59.0);
    pg.bezierVertex(100.0, 59.0, 100.0, -1.0, 100.0, 0.0);
    pg.bezierVertex(100.0, 1.0, 46.0, -1.0, 46.0, 0.0);
    pg.bezierVertex(46.0, 1.0, 43.0, 25.0, 47.0, 26.0);
    pg.bezierVertex(51.0, 27.0, 40.0, 31.0, 40.0, 32.0);
    pg.endShape();
    pg.popMatrix();
  }
  if(tipo == 2){
    pg.pushMatrix();
    pg.translate(100 - 100*tamanho, 100 - 100*tamanho);
    pg.scale(sqrt(tamanho));

    pg.beginShape();
    pg.vertex(57.0, 47.0);
    pg.bezierVertex(57.0, 47.0, 45.0, 65.0, 45.0, 69.0);
    pg.bezierVertex(45.0, 73.0, 41.0, 83.0, 42.0, 91.0);
    pg.bezierVertex(43.0, 99.0, 43.0, 100.0, 43.0, 100.0);
    pg.bezierVertex(43.0, 100.0, 100.0, 99.0, 100.0, 100.0);
    pg.bezierVertex(100.0, 101.0, 101.0, 58.0, 101.0, 58.0);
    pg.bezierVertex(101.0, 58.0, 85.0, 58.0, 84.0, 61.0);
    pg.bezierVertex(83.0, 64.0, 63.0, 46.0, 63.0, 49.0);
    pg.bezierVertex(63.0, 52.0, 57.0, 47.0, 57.0, 47.0);
    pg.endShape();
    pg.popMatrix();
  }
  if (tipo == 3){ 
    pg.pushMatrix();
    pg.translate(0, 100 - 100*tamanho);
    pg.scale(sqrt(tamanho));
    pg.beginShape();
    pg.vertex(41.0, 33.0);
    pg.bezierVertex(41.0, 33.0, 57.0, 50.0, 57.0, 47.0);
    pg.bezierVertex(57.0, 44.0, 43.0, 69.0, 45.0, 69.0);
    pg.bezierVertex(47.0, 69.0, 39.0, 86.0, 43.0, 92.0);
    pg.bezierVertex(47.0, 98.0, 44.0, 100.0, 44.0, 100.0);
    pg.bezierVertex(44.0, 100.0, 0.0, 100.0, 0.0, 100.0);
    pg.bezierVertex(0.0, 100.0, 1.0, 43.0, 1.0, 43.0);
    pg.bezierVertex(1.0, 43.0, 17.0, 50.0, 25.0, 46.0);
    pg.bezierVertex(33.0, 42.0, 25.0, 46.0, 25.0, 46.0);
    pg.bezierVertex(25.0, 46.0, 40.0, 32.0, 41.0, 30.0);
    pg.endShape();
    pg.popMatrix();
  }

  pg.endDraw();
}

